%define pkgname iax
%define	libname	lib%{pkgname}
%define	soname	%{libname}0

Summary:	IAX (Inter Asterisk eXchange) Library
Name:		%{soname}
Version:	0.2.2
Release:	5.13
License:	LGPL
Group:		Development/Libraries
Source0:	%{pkgname}-%{version}.tar.gz
Patch0:		%{pkgname}-makefile.patch
URL:		http://downloads.asterisk.org/pub/telephony/libiax/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libtool
Provides:	iax
Obsoletes:	iax

%description
Inter Asterisk eXchange, lovingly called IAX (pronounced: eeks), is the protocol used by the Asterisk PBX
system for inter-asterisk-communication.  Other applications may use libiax to communicate with each other
and other asterisk servers.  IAX is a high performance, feature rich protocol unrelated
to SIP or H.323.  Its single-socket design allows it to interoperate with NAT and PAT
masquerade firewalls.  It supports internationalization, remote dialplans, 
and voice, HTML, image, DTMF, and video content.  For more information see
http://www.gnophone.com.

%package -n %{libname}-devel
Summary: IAX (Inter Asterisk eXchange) Development Package
Group: Development/Libraries
Requires: iax

%description -n %{libname}-devel
Inter Asterisk eXchange, lovingly called IAX (pronounced: eeks), is the protocol used by the Asterisk PBX
system for inter-asterisk-communication.  Other applications may use libiax to communicate with each other
and other asterisk servers.  IAX is a high performance, feature rich protocol unrelated
to SIP or H.323.  Its single-socket design allows it to interoperate with NAT and PAT
masquerade firewalls.  It supports internationalization, remote dialplans, 
and voice, HTML, image, DTMF, and video content.  For more information see
http://www.gnophone.com.

This package contains all of the development files that you will need in order to compile IAX applications.

%prep
%setup -n %{pkgname}-%{version}
%patch0

%build
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" %configure --enable-shared --enable-static --with-gnu-ld --enable-autoupdate || cat config.log
%__make

%install
rm -rf $RPM_BUILD_ROOT
%__make DESTDIR=%{buildroot} install
%__install -d %{buildroot}%{_libdir}
%__install -m 644  src/libiax.la %{buildroot}%{_libdir}/
%__install -m 755  src/.libs/libiax.so.0.0.0 %{buildroot}%{_libdir}/
%__install -m 755  src/.libs/libiax.a %{buildroot}%{_libdir}/

%files
%defattr(-,root,root)
%doc NEWS COPYING README
%{_libdir}/libiax.so.0.0.0
%{_libdir}/libiax.la

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/iax
%{_bindir}/*
%attr(0644,root,root) %{_libdir}/libiax.a

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
#rm -r $RPM_BUILD_ROOT

%changelog
* Thu Apr 30 2009 Carsten Schoene <cs@linux-administrator.com> - 0.2.2-2
- change package name to libiax0

* Sat Jan 10 2009 Carsten Schoene <cs@linux-administrator.com> - 0.2.2-1
- adapt for build in BS

* Tue Nov 13 2001 Rob Flynn <rob@linux-support.net> (0.2.2 release)
- HTML Unlink requests
- HTML Reject link requests
- Text frames

* Sat Oct 20 2001 Rob Flynn <rob@linux-support.net> (0.2.1 release)
- More space for challenge in IAX
- Fixed strncpy security bug
- Accept larger packets
- Handle out of order packets better
- Implemented send_url
- Added an iax-config script :-)

* Wed Oct 10 2001 Rob Flynn <rob@linux-support.net> (0.2.0 release)
- Initial public release

